OpenFOAM and ThirdParty installations at NSC


Directory list:

VersionDescription
2.2.2 OpenFOAM and ThirdParty 2.2.2

Level of support

Tier 3 NSC will not be able to help you much with this program, either because we lack the in-house experience, or because it is a test installation. In general, these types of installations are untested, and will not be updated unless you send a request to NSC.

Please see the page describing our software support categories for more information.
You can also contact support@nsc.liu.se for further information.

Name of the binary

Many binaries will be on your PATH once the module is loaded.

How to run

Load the OpenFOAM module corresponding to the version you want to use, e.g

module load OpenFOAM/2.2.2

Then launch using “mpprun” for mpi binary, e.g

mpprun /path/to/OpenFOAM/mpibinary

Example of Job script

#!/bin/bash
#
#SBATCH -N 2
#SBATCH --exclusive
blockMesh -case damBreak
setFields -case damBreak
decomposePar -case damBreak
mpprun /software/apps/OpenFOAM/2.2.2/i1214/OpenFOAM-2.2.2/platforms/linux64IccDPOpt/bin/interFoam -parallel -case damBreak &> result.out